apt: SourceCopy Class Reference

apt 2.9.8 commandline package manager

Protected Member Functions | List of all members
SourceCopy Class Reference
Inheritance diagram for SourceCopy:

## Protected Member Functions
virtual bool | GetFile (std::string &Filename, unsigned long long &Size) APT_OVERRIDE
virtual bool | RewriteEntry (FileFd &Target, std::string const &File) APT_OVERRIDE
virtual const char * | GetFileName () APT_OVERRIDE
virtual const char * | Type () APT_OVERRIDE
Protected Member Functions inherited from IndexCopy
std::string | ChopDirs (std::string Path, unsigned int Depth)
bool | ReconstructPrefix (std::string &Prefix, std::string OrigPath, std::string CD, std::string File)
bool | ReconstructChop (unsigned long &Chop, std::string Dir, std::string File)
void | ConvertToSourceList (std::string CD, std::string &Path)
bool | GrabFirst (std::string Path, std::string &To, unsigned int Depth)
virtual bool | GetFile (std::string &Filename, unsigned long long &Size)=0
virtual bool | RewriteEntry (FileFd &Target, std::string const &File)=0
virtual const char * | GetFileName ()=0
virtual const char * | Type ()=0

## Additional Inherited Members
Public Member Functions inherited from IndexCopy
bool | CopyPackages (std::string CDROM, std::string Name, std::vector< std::string > &List, pkgCdromStatus *log)
Protected Attributes inherited from IndexCopy
pkgTagSection * | Section

## Member Function Documentation

## ◆ GetFile()

bool GetFile | ( | std::string & | Filename,
|  | unsigned long long & | Size
| ) |  |
| protectedvirtual

Implements IndexCopy.

## ◆ GetFileName()

virtual const char * GetFileName | ( |  | ) |
| inlineprotectedvirtual

Implements IndexCopy.

## ◆ RewriteEntry()

bool RewriteEntry | ( | FileFd & | Target,
|  | std::string const & | File
| ) |  |
| protectedvirtual

Implements IndexCopy.

## ◆ Type()

virtual const char * Type | ( |  | ) |
| inlineprotectedvirtual

Implements IndexCopy.

The documentation for this class was generated from the following files:

- apt-pkg/indexcopy.h
- apt-pkg/indexcopy.cc